Account Connection API
Connect platform and advertiser user accounts.
Complete OAuth account linking
Advertiser
Completes an account connection initiated through the Onward OAuth flow. The connection token must belong to the calling advertiser. Optional retroactive events are stored and queued for asynchronous processing through the outbox atomically with the account link. See the Account linking guide for the complete redirect flow.
Complete OAuth account linking › Request Body
tokenShort-lived account connection token received through the Onward OAuth flow.
advertiser_user_idIdentifier of the user in the advertiser's own system.
Advertiser-defined attributes to store with the account connection.
Up to 100 historical events to evaluate after the advertiser account is linked.
Complete OAuth account linking › Responses
The advertiser account was connected to the Onward user.
successResult of a successfully completed account connection.
Complete OAuth account linking
Advertiser
Completes an account connection initiated through the Onward OAuth flow. The connection token must belong to the calling advertiser. Optional retroactive events are stored and queued for asynchronous processing through the outbox atomically with the account link. See the Account linking guide for the complete redirect flow.
Complete OAuth account linking › Request Body
tokenShort-lived account connection token received through the Onward OAuth flow.
advertiser_user_idIdentifier of the user in the advertiser's own system.
Advertiser-defined attributes to store with the account connection.
Up to 100 historical events to evaluate after the advertiser account is linked.
Complete OAuth account linking › Responses
The advertiser account was connected to the Onward user.
successResult of a successfully completed account connection.
Start OAuth account linking
Publisher
Creates a short-lived account-connection token for a platform user and returns the advertiser redirect URL. See the Account linking guide for the complete redirect flow.
Headers
x-onward-channelOptional. Where the end user is: web, ios or android. Without it the action is attributed to the channel of the user's last GET /v1/quest-chains/active call.
x-onward-user-agentThe end user's own User-Agent, forwarded verbatim. Platform servers call Onward server-to-server, so the request's own User-Agent is the platform's HTTP client, not the user's.
Start OAuth account linking › Request Body
platform_user_idUser's ID on the platform.
quest_chain_idQuest chain ID which initiates the account connection.
redirect_urlWhere to send the user after the connection completes (success or error)
Start OAuth account linking › Responses
Response for status 200
successIndicates that the request was successful.